Skip to main content
`Ctrl`+`K`

# DMLabelConvertToSection

Make a `PetscSection`/`IS` pair that encodes the label

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelConvertToSection(DMLabel label, PetscSection *section, IS *is)

Not Collective

## Input Parameter

- label - the `DMLabel`

## Output Parameters

- section - the section giving offsets for each stratum

- is - An `IS` containing all the label points

## See Also

`DMLabel`, `DM`, `DMLabelDistribute()`

## Level

developer

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages